Query Ticker Heatmap
Endpoint Information
Endpoint: GET /api/v1/tickers/heatmaps?exchange={exchange}
Description: Query heatmap data for popular market stocks
Authentication: Accessible anonymously
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| exchange | int | Yes | URL parameter, exchange code. See Exchange enum type description |
Response Parameters
| Field | Type | Description |
|---|---|---|
| symbol | string | Stock symbol |
| company_name | string | Company name |
| market_cap | int64 | Market capitalization |
| total_shares | float | Total supply (shares outstanding) |
Request Example
bash
curl -X GET "/api/v1/tickers/heatmaps?exchange=0" \
-H "Content-Type: application/json"Response Example
json
{
"code": 0,
"data": [
{
"symbol": "NVDAs",
"market_cap": 4374494800000,
"total_shares": 24300000000,
"company_name": "NVIDIA Corporation"
},
{
"symbol": "AAPLs",
"market_cap": 3872150675000,
"total_shares": 14681140000,
"company_name": "Apple Inc."
}
]
}